%global fontname ekmukta
%global fontconf 67-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.2.2
Release:        4%{?dist}
Summary:        A Unicode compliant mono-linear typeface

License:        OFL
URL:            https://github.com/girish-dalvi/Ek-Mukta
Source0:        https://github.com/girish-dalvi/Ek-Mukta/releases/download/1.2.2/EkMukta-1.2.2.zip 
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Ek Mukta is a Unicode compliant, versatile, contemporary, humanist, mono-linear
typeface available in seven weights, supporting Devanagari and Latin scripts.

%prep
%setup -q -c
sed -i 's/\r$//' OFL.txt

%build
#nothing to build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 16 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.2.2-2
- Add metainfo file to show this font in gnome-software

* Fri Jul 11 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.2.2-1
- update to github upstream

* Mon May 26 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.101-1
- Initial Fedora release.

